public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-php/Savant3/files/, dev-php/Savant3/
@ 2016-07-12 14:54 Michael Orlitzky
  0 siblings, 0 replies; only message in thread
From: Michael Orlitzky @ 2016-07-12 14:54 UTC (permalink / raw
  To: gentoo-commits

commit:     4883851d63b638ef2131e846ed757561f12307f1
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 12 14:41:34 2016 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Tue Jul 12 14:54:06 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4883851d

dev-php/Savant3: new revision with a new (github) SRC_URI.

The previous revision was based on our PEAR eclass which is getting
long in the tooth. And upstream's PEAR channel has died, also bad;
fortunately the sources for v3.0.1 are still available on github.

The new revision uses a github commit tarball as SRC_URI, and installs
the package manually (i.e. without PEAR). This allows us to use
EAPI=6, and get the test suite working.

Gentoo-Bug: 551002

Package-Manager: portage-2.2.28

 dev-php/Savant3/Manifest                |  2 +-
 dev-php/Savant3/Savant3-3.0.1-r1.ebuild | 45 +++++++++++++++++++++++++++++++++
 dev-php/Savant3/Savant3-3.0.1.ebuild    | 19 --------------
 dev-php/Savant3/files/channel.xml       | 15 -----------
 4 files changed, 46 insertions(+), 35 deletions(-)

diff --git a/dev-php/Savant3/Manifest b/dev-php/Savant3/Manifest
index f98c88a..339b8f7 100644
--- a/dev-php/Savant3/Manifest
+++ b/dev-php/Savant3/Manifest
@@ -1 +1 @@
-DIST Savant3-3.0.1.tgz 21574 SHA256 38d764fb86148c9edf3316ac17b1e9226103f09a2477691565bdf0cba38a9f0a SHA512 97eb888da01b2b77da274c3e4a3c764cfc656fce6c7507006fb6cf294acf05e84ec63a7866b53c334a65d3fb82d25a0b52e20fb7d07c2f3cb872f0801e4936b0 WHIRLPOOL a5ea3955684383d02862a3fa48eeb2832dab029384851181a3cf3494299e1fd8ce6d032efc1bb8adde9655501cbc5d902d0a58e8d3843b2eeedf94f65c959721
+DIST f3b4b70422bc743168d8e01443abc385d8acbef9.tar.gz 21921 SHA256 514359c8e831523b39b90c546cb09f8724ba2c925ab55b85a42666f403da5cd1 SHA512 77966146aed2a909005f0d103b27bc3b389e5edc63cc4090d8267dec4b42c96f65939752860f3833bb7f2255a9d1e9fc280d593916c9456b2590ccff0324ff89 WHIRLPOOL 260cc264407b0b9bbac7a70f129d13f5211b6181ccddff873a20559e8644624021ee24ef3301151e2cb46cf84f80459e19c93e1546de352b78fb341f9f6b7819

diff --git a/dev-php/Savant3/Savant3-3.0.1-r1.ebuild b/dev-php/Savant3/Savant3-3.0.1-r1.ebuild
new file mode 100644
index 0000000..946bd7e
--- /dev/null
+++ b/dev-php/Savant3/Savant3-3.0.1-r1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+KEYWORDS="~amd64 ~x86"
+
+DESCRIPTION="The simple PHP template alternative to Smarty"
+HOMEPAGE="https://github.com/saltybeagle/Savant3"
+
+# This is the last commit before the Composer integration broke
+# everything.
+COMMIT=f3b4b70422bc743168d8e01443abc385d8acbef9
+SRC_URI="https://github.com/saltybeagle/Savant3/archive/${COMMIT}.tar.gz"
+LICENSE="LGPL-2.1"
+SLOT="0"
+IUSE="minimal test"
+
+DEPEND="test? ( dev-php/phpunit )"
+RDEPEND="dev-lang/php:*
+	!minimal? ( >=dev-php/Savant3-Plugin-Form-0.2.1 )"
+
+S="${WORKDIR}/${PN}-${COMMIT}"
+
+src_install() {
+	dodoc README.md
+	insinto /usr/share/php/
+	doins "${PN}.php"
+	doins -r "${PN}"
+}
+
+src_test() {
+	cd tests && phpunit . || die "test suite failed"
+}
+
+pkg_postinst() {
+	elog "${PN} has been installed in /usr/share/php/."
+	elog
+	elog "To use it in your scripts, include the ${PN}.php file."
+	elog "For example,"
+	elog
+	elog "  require('${PN}.php');"
+	elog
+}

diff --git a/dev-php/Savant3/Savant3-3.0.1.ebuild b/dev-php/Savant3/Savant3-3.0.1.ebuild
deleted file mode 100644
index 422e10d..0000000
--- a/dev-php/Savant3/Savant3-3.0.1.ebuild
+++ /dev/null
@@ -1,19 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-inherit php-pear-lib-r1
-
-KEYWORDS="~amd64 ~x86"
-
-DESCRIPTION="The simple PHP template alternative to Smarty"
-HOMEPAGE="http://phpsavant.com/yawiki/index.php?area=Savant3"
-SRC_URI="http://phpsavant.com/get/${P}.tgz"
-LICENSE="LGPL-2.1"
-SLOT="0"
-IUSE="minimal"
-
-DEPEND=""
-RDEPEND="!minimal? ( >=dev-php/Savant3-Plugin-Form-0.2.1 )"

diff --git a/dev-php/Savant3/files/channel.xml b/dev-php/Savant3/files/channel.xml
deleted file mode 100644
index 13906d8..0000000
--- a/dev-php/Savant3/files/channel.xml
+++ /dev/null
@@ -1,15 +0,0 @@
-<?xml version="1.0" encoding="UTF-8" ?>
-<channel version="1.0" xmlns="http://pear.php.net/channel-1.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://pear.php.net/channel-1.0 http://pear.php.net/dtd/channel-1.0.xsd">
-    <name>phpsavant.com</name>
-    <summary>Savant</summary>
-    <suggestedalias>savant</suggestedalias>
-    <servers>
-        <primary>
-            <rest>
-                <baseurl type="REST1.0">http://phpsavant.com/rest/</baseurl>
-                <baseurl type="REST1.1">http://phpsavant.com/rest/</baseurl>
-                <baseurl type="REST1.3">http://phpsavant.com/rest/</baseurl>
-            </rest>
-        </primary>
-    </servers>
-</channel>


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2016-07-12 14:54 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-07-12 14:54 [gentoo-commits] repo/gentoo:master commit in: dev-php/Savant3/files/, dev-php/Savant3/ Michael Orlitzky

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox